
Set-StrictMode -Version 2.0

Function Invoke-SetCustomErrorsModeTask {
    [CmdletBinding(SupportsShouldProcess = $true)]
    param(
        [Parameter(Mandatory = $true)]
        [string]$SiteFolder,
        [ValidateSet('On', 'Off', 'RemoteOnly', IgnoreCase = $false)]
        [Parameter(Mandatory = $true)]
        [string]$ErrorMode
    )

    Write-TaskInfo "Locating web.config in folder $SiteFolder" -Tag 'UpdateMode'

    #Get the path of the web.config
    $WebConfigPath = Join-Path $SiteFolder "web.config"
	
    $WebConfigXML = New-Object XML

    $WebConfigXML.Load($WebConfigPath)
	
    $CustomErrorsNode = $WebConfigXML.SelectSingleNode("/configuration/system.web/customErrors")
	
	$CustomErrorsNode.SetAttribute("mode", $ErrorMode)
	
	$WebConfigXML.Save($WebConfigPath)	
}
Register-SitecoreInstallExtension -Command Invoke-SetCustomErrorsModeTask -As SetCustomErrorsMode -Type Task